oasis.names.tc.saml._2_0.protocol

## Class NameIDPolicy

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.NameIDPolicy

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:06:15+01:00",
                 comments="JAXB RI v2.3.7")
      public class NameIDPolicy
      extends Object
      implements Serializable

  Java class for NameIDPolicyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameIDPolicyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Format" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="SPNameQualifier" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="AllowCreate" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIDPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()` Gets the value of the format property.
    `String` | `getSPNameQualifier()` Gets the value of the spNameQualifier property.
    `Boolean` | `isAllowCreate()` Gets the value of the allowCreate property.
    `void` | `setAllowCreate(Boolean value)` Sets the value of the allowCreate property.
    `void` | `setFormat(String value)` Sets the value of the format property.
    `void` | `setSPNameQualifier(String value)` Sets the value of the spNameQualifier property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameIDPolicy

          public NameIDPolicy()

  - ### Method Detail

    - #### getFormat

          public String getFormat()

      Gets the value of the format property.
      Returns:
        possible object is `String`

    - #### setFormat

          public void setFormat(String value)

      Sets the value of the format property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSPNameQualifier

          public String getSPNameQualifier()

      Gets the value of the spNameQualifier property.
      Returns:
        possible object is `String`

    - #### setSPNameQualifier

          public void setSPNameQualifier(String value)

      Sets the value of the spNameQualifier property.
      Parameters:
        `value` - allowed object is `String`

    - #### isAllowCreate

          public Boolean isAllowCreate()

      Gets the value of the allowCreate property.
      Returns:
        possible object is `Boolean`

    - #### setAllowCreate

          public void setAllowCreate(Boolean value)

      Sets the value of the allowCreate property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.